Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.ddl.dialect.mysql
Interface MySqlDdlConstants.MySqlStatementStartPhrases

All Known Implementing Classes:
  MySqlDdlParser

Enclosing interface:
  MySqlDdlConstants

    public static interface MySqlDdlConstants.MySqlStatementStartPhrases

Field Summary
`static String[][]` | `ALTER_PHRASES`
`static String[][]` | `CREATE_PHRASES`
`static String[][]` | `DROP_PHRASES`
`static String[][]` | `MISC_PHRASES`
`static String[][]` | `SET_PHRASES`
`static String[]` | `STMT_CREATE_DATABASE`
`static String[]` | `STMT_CREATE_DEFINER`
`static String[]` | `STMT_CREATE_EVENT`
`static String[]` | `STMT_CREATE_FUNCTION`
`static String[]` | `STMT_CREATE_INDEX`
`static String[]` | `STMT_CREATE_LOGFILE_GROUP`
`static String[]` | `STMT_CREATE_PROCEDURE`
`static String[]` | `STMT_CREATE_SERVER`
`static String[]` | `STMT_CREATE_TABLESPACE`
`static String[]` | `STMT_CREATE_TRIGGER`
`static String[]` | `STMT_CREATE_UNIQUE_INDEX`
`static String[]` | `STMT_DROP_DATABASE`
`static String[]` | `STMT_DROP_EVENT`
`static String[]` | `STMT_DROP_FUNCTION`
`static String[]` | `STMT_DROP_INDEX`
`static String[]` | `STMT_DROP_LOGFILE_GROUP`
`static String[]` | `STMT_DROP_OFFLINE_INDEX`
`static String[]` | `STMT_DROP_ONLINE_INDEX`
`static String[]` | `STMT_DROP_PROCEDURE`
`static String[]` | `STMT_DROP_SERVER`
`static String[]` | `STMT_DROP_TABLESPACE`
`static String[]` | `STMT_DROP_TRIGGER`
`static String[]` | `STMT_RENAME_DATABASE`
`static String[]` | `STMT_RENAME_SCHEMA`
`static String[]` | `STMT_RENAME_TABLE`

Field Detail

### ALTER_PHRASES

    static final String[][] ALTER_PHRASES

### STMT_CREATE_DATABASE

    static final String[] STMT_CREATE_DATABASE

### STMT_CREATE_DEFINER

    static final String[] STMT_CREATE_DEFINER

### STMT_CREATE_EVENT

    static final String[] STMT_CREATE_EVENT

### STMT_CREATE_FUNCTION

    static final String[] STMT_CREATE_FUNCTION

### STMT_CREATE_INDEX

    static final String[] STMT_CREATE_INDEX

### STMT_CREATE_LOGFILE_GROUP

    static final String[] STMT_CREATE_LOGFILE_GROUP

### STMT_CREATE_UNIQUE_INDEX

    static final String[] STMT_CREATE_UNIQUE_INDEX

### STMT_CREATE_PROCEDURE

    static final String[] STMT_CREATE_PROCEDURE

### STMT_CREATE_SERVER

    static final String[] STMT_CREATE_SERVER

### STMT_CREATE_TABLESPACE

    static final String[] STMT_CREATE_TABLESPACE

### STMT_CREATE_TRIGGER

    static final String[] STMT_CREATE_TRIGGER

### CREATE_PHRASES

    static final String[][] CREATE_PHRASES

### STMT_DROP_DATABASE

    static final String[] STMT_DROP_DATABASE

### STMT_DROP_EVENT

    static final String[] STMT_DROP_EVENT

### STMT_DROP_FUNCTION

    static final String[] STMT_DROP_FUNCTION

### STMT_DROP_INDEX

    static final String[] STMT_DROP_INDEX

### STMT_DROP_ONLINE_INDEX

    static final String[] STMT_DROP_ONLINE_INDEX

### STMT_DROP_OFFLINE_INDEX

    static final String[] STMT_DROP_OFFLINE_INDEX

### STMT_DROP_LOGFILE_GROUP

    static final String[] STMT_DROP_LOGFILE_GROUP

### STMT_DROP_PROCEDURE

    static final String[] STMT_DROP_PROCEDURE

### STMT_DROP_SERVER

    static final String[] STMT_DROP_SERVER

### STMT_DROP_TABLESPACE

    static final String[] STMT_DROP_TABLESPACE

### STMT_DROP_TRIGGER

    static final String[] STMT_DROP_TRIGGER

### DROP_PHRASES

    static final String[][] DROP_PHRASES

### SET_PHRASES

    static final String[][] SET_PHRASES

### STMT_RENAME_DATABASE

    static final String[] STMT_RENAME_DATABASE

### STMT_RENAME_SCHEMA

    static final String[] STMT_RENAME_SCHEMA

### STMT_RENAME_TABLE

    static final String[] STMT_RENAME_TABLE

### MISC_PHRASES

    static final String[][] MISC_PHRASES

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.